# GalViewNewDialog

## Name

GalViewNewDialog --

## Synopsis

    #define     GAL_VIEW_NEW_DIALOG_TYPE
                GalViewNewDialog;
    GtkWidget*  gal_view_new_dialog_new         (GalViewCollection *collection);
    GtkWidget*  gal_view_new_dialog_construct   (GalViewNewDialog *dialog,
                                                 GalViewCollection *collection);

## Object Hierarchy

      GtkObject
       +----GtkWidget
             +----GtkContainer
                   +----GtkBin
                         +----GtkWindow
                               +----GnomeDialog
                                     +----GalViewNewDialog

## Properties

      "name"                 gchar*                : Read / Write
      "factory"              GtkObject             : Read

## Description

## Details

### GAL_VIEW_NEW_DIALOG_TYPE

    #define GAL_VIEW_NEW_DIALOG_TYPE			(gal_view_new_dialog_get_type ())

### GalViewNewDialog

    typedef struct _GalViewNewDialog GalViewNewDialog;

### gal_view_new_dialog_new ()

    GtkWidget*  gal_view_new_dialog_new         (GalViewCollection *collection);

`collection` : |
Returns : |

### gal_view_new_dialog_construct ()

    GtkWidget*  gal_view_new_dialog_construct   (GalViewNewDialog *dialog,
                                                 GalViewCollection *collection);

`dialog` : |
`collection` : |
Returns : |

## Properties

### The "`name`" property

      "name"                 gchar*                : Read / Write

### The "`factory`" property

      "factory"              GtkObject             : Read